using System;
using System.Collections.Generic;
using Microsoft.EntityFrameworkCore;
using Strata.Code.DataAccess.Models;
using Lock = Strata.Code.DataAccess.Models.Lock;

namespace Strata.Code.DataAccess.Data;

public partial class OnePlanDbContext : DbContext
{
    public OnePlanDbContext(DbContextOptions<OnePlanDbContext> options)
        : base(options)
    {
    }

    public virtual DbSet<AddProviderEncountersDataForCharge> AddProviderEncountersDataForCharges { get; set; }

    public virtual DbSet<AddProviderSummary> AddProviderSummaries { get; set; }

    public virtual DbSet<AdjustmentChunkingConfiguration> AdjustmentChunkingConfigurations { get; set; }

    public virtual DbSet<ApedepartmentWorkflowStatus> ApedepartmentWorkflowStatuses { get; set; }

    public virtual DbSet<Apeworkflow> Apeworkflows { get; set; }

    public virtual DbSet<BenefitsSpread> BenefitsSpreads { get; set; }

    public virtual DbSet<BudgetConfig> BudgetConfigs { get; set; }

    public virtual DbSet<BudgetConfigDefaultSetting> BudgetConfigDefaultSettings { get; set; }

    public virtual DbSet<BudgetConfigSetting> BudgetConfigSettings { get; set; }

    public virtual DbSet<BudgetRefreshRequest> BudgetRefreshRequests { get; set; }

    public virtual DbSet<BudgetRefreshRequestHistory> BudgetRefreshRequestHistories { get; set; }

    public virtual DbSet<ChargeVolumeAddProviderAdjustment> ChargeVolumeAddProviderAdjustments { get; set; }

    public virtual DbSet<ChargeVolumeSpread> ChargeVolumeSpreads { get; set; }

    public virtual DbSet<DataRefreshTargetThreshold> DataRefreshTargetThresholds { get; set; }

    public virtual DbSet<DepartmentChargeVolumeAdjustment> DepartmentChargeVolumeAdjustments { get; set; }

    public virtual DbSet<DepartmentConfig> DepartmentConfigs { get; set; }

    public virtual DbSet<DimCategory> DimCategories { get; set; }

    public virtual DbSet<DimDepartment> DimDepartments { get; set; }

    public virtual DbSet<EngineLog> EngineLogs { get; set; }

    public virtual DbSet<EntityGroupConfig> EntityGroupConfigs { get; set; }

    public virtual DbSet<FixChangeHistoryRequest> FixChangeHistoryRequests { get; set; }

    public virtual DbSet<GeneralLedger> GeneralLedgers { get; set; }

    public virtual DbSet<GeneralLedgerInitialPlanConfigDetail> GeneralLedgerInitialPlanConfigDetails { get; set; }

    public virtual DbSet<GeneralLedgerSpread> GeneralLedgerSpreads { get; set; }

    public virtual DbSet<InitialPlanRule> InitialPlanRules { get; set; }

    public virtual DbSet<Lock> Locks { get; set; }

    public virtual DbSet<OnePlanPerformanceTestValidationResult> OnePlanPerformanceTestValidationResults { get; set; }

    public virtual DbSet<PerformanceTestingSetting> PerformanceTestingSettings { get; set; }

    public virtual DbSet<ProviderCompensationSpread> ProviderCompensationSpreads { get; set; }

    public virtual DbSet<SamplingLog> SamplingLogs { get; set; }

    public virtual DbSet<ScheduledRefreshRequest> ScheduledRefreshRequests { get; set; }

    public virtual DbSet<ServiceLineEncounterSpread> ServiceLineEncounterSpreads { get; set; }

    public virtual DbSet<SettingCategory> SettingCategories { get; set; }

    public virtual DbSet<SpreadHistory> SpreadHistories { get; set; }

    public virtual DbSet<StaffingInitialPlanConfigDetail> StaffingInitialPlanConfigDetails { get; set; }

    public virtual DbSet<StaffingSpread> StaffingSpreads { get; set; }

    public virtual DbSet<StatisticsSpread> StatisticsSpreads { get; set; }

    public virtual DbSet<SystemSetting> SystemSettings { get; set; }

    public virtual DbSet<TescheduledTask> TescheduledTasks { get; set; }

    public virtual DbSet<UserProfile> UserProfiles { get; set; }

    public virtual DbSet<ViewReimbursementAdjustment> ViewReimbursementAdjustments { get; set; }

    public virtual DbSet<ViewStaffingAdjustment> ViewStaffingAdjustments { get; set; }

    public virtual DbSet<ViewStatisticsAdjustment> ViewStatisticsAdjustments { get; set; }

    protected override void OnModelCreating(ModelBuilder modelBuilder)
    {
        modelBuilder.Entity<AddProviderEncountersDataForCharge>(entity =>
        {
            entity.HasKey(e => e.AddProviderEncountersDataForChargesId).HasName("PK__AddProvi__E4129B703B27669A");

            entity.Property(e => e.AddProviderEncountersDataForChargesId).ValueGeneratedNever();
            entity.Property(e => e.AdjustmentGuid).HasDefaultValueSql("(newid())");

            entity.HasOne(d => d.Adjustment).WithMany(p => p.AddProviderEncountersDataForCharges)
                .OnDelete(DeleteBehavior.ClientSetNull)
                .HasConstraintName("FK__AddProvid__Adjus__6B6F9474");
        });

        modelBuilder.Entity<AddProviderSummary>(entity =>
        {
            entity.HasKey(e => e.SummaryId).HasName("PK__AddProvi__DAB10E0F746AF6DC");

            entity.Property(e => e.SummaryId).ValueGeneratedNever();
            entity.Property(e => e.BenchmarkProvidersJson).HasDefaultValue("");
            entity.Property(e => e.Comment).HasDefaultValue("");
            entity.Property(e => e.StartDateUtc).HasDefaultValueSql("(getdate())");
        });

        modelBuilder.Entity<AdjustmentChunkingConfiguration>(entity =>
        {
            entity.HasKey(e => e.SectionId).HasName("PK__Adjustme__80EF0892617FCD5C");

            entity.Property(e => e.Description).HasDefaultValueSql("((0))");
        });

        modelBuilder.Entity<ApedepartmentWorkflowStatus>(entity =>
        {
            entity.HasKey(e => e.DepartmentWorkflowStatusId).HasName("PK__APEDepar__30315255363CAB35");

            entity.Property(e => e.DepartmentWorkflowStatusId).ValueGeneratedNever();
            entity.Property(e => e.EnteredStepDateTimeUtc).HasDefaultValueSql("(getutcdate())");

            entity.HasOne(d => d.WorkflowStep).WithMany(p => p.ApedepartmentWorkflowStatuses)
                .OnDelete(DeleteBehavior.ClientSetNull)
                .HasConstraintName("FK__APEDepart__Workf__0232CC71");
        });

        modelBuilder.Entity<Apeworkflow>(entity =>
        {
            entity.HasKey(e => e.WorkflowStepId).HasName("PK__APEWorkf__361214019DCA4D7C");

            entity.Property(e => e.WorkflowStepId).ValueGeneratedNever();
            entity.Property(e => e.Name).HasDefaultValue("");
        });

        modelBuilder.Entity<BenefitsSpread>(entity =>
        {
            entity.HasKey(e => new { e.BudgetConfigId, e.DepartmentId, e.AccountId }).HasName("PK__Benefits__F1B9F395006A0F0D");

            entity.Property(e => e.GlobalSpreadId).HasDefaultValue(1);
            entity.Property(e => e.SpreadPercentage01).HasDefaultValue(0m);
            entity.Property(e => e.SpreadPercentage02).HasDefaultValue(0m);
            entity.Property(e => e.SpreadPercentage03).HasDefaultValue(0m);
            entity.Property(e => e.SpreadPercentage04).HasDefaultValue(0m);
            entity.Property(e => e.SpreadPercentage05).HasDefaultValue(0m);
            entity.Property(e => e.SpreadPercentage06).HasDefaultValue(0m);
            entity.Property(e => e.SpreadPercentage07).HasDefaultValue(0m);
            entity.Property(e => e.SpreadPercentage08).HasDefaultValue(0m);
            entity.Property(e => e.SpreadPercentage09).HasDefaultValue(0m);
            entity.Property(e => e.SpreadPercentage10).HasDefaultValue(0m);
            entity.Property(e => e.SpreadPercentage11).HasDefaultValue(0m);
            entity.Property(e => e.SpreadPercentage12).HasDefaultValue(0m);
            entity.Property(e => e.TotalImportedValue).HasDefaultValue(0m);

            entity.HasOne(d => d.SpreadHistory).WithMany(p => p.BenefitsSpreads)
                .OnDelete(DeleteBehavior.ClientSetNull)
                .HasConstraintName("FK_FpBenefitsSpreads_History");
        });

        modelBuilder.Entity<BudgetConfig>(entity =>
        {
            entity.HasKey(e => e.BudgetConfigGuid).HasName("PK__BudgetCo__4ED93B3C311E4EB0");

            entity.Property(e => e.BudgetConfigGuid).HasDefaultValueSql("(newid())");
            entity.Property(e => e.AllowLocalAdminAddAccountMyBudgets).HasDefaultValue(true);
            entity.Property(e => e.AllowLocalAdminAddAccountPlanEditor).HasDefaultValue(true);
            entity.Property(e => e.AllowLocalAdminAddEmpAddFteplanEditor).HasDefaultValue(true);
            entity.Property(e => e.AllowLocalAdminAddEmpAddJobCodeMyBudgets).HasDefaultValue(true);
            entity.Property(e => e.BudgetConfigName).HasDefaultValue("Default Budget");
            entity.Property(e => e.ChargeMasterConfigJson).HasDefaultValue("");
            entity.Property(e => e.Comments).HasDefaultValue("");
            entity.Property(e => e.CurrentBudgetPhaseId).HasDefaultValue((byte)2);
            entity.Property(e => e.DateModified).HasDefaultValueSql("(getdate())");
            entity.Property(e => e.DatePublished).HasDefaultValueSql("(getdate())");
            entity.Property(e => e.DefaultReimbursementProjectionMethodId).HasDefaultValue(1);
            entity.Property(e => e.IsChargeMasterRefreshedForDollarImpactReport).HasDefaultValue(true);
            entity.Property(e => e.IsGlbudgetHistoryAvailable).HasDefaultValue(true);
            entity.Property(e => e.IsOverUnderFundedUsed).HasDefaultValue(true);
            entity.Property(e => e.IsRestrictDepartmentAccess).HasDefaultValue(true);
            entity.Property(e => e.IsStaffingBudgetHistoryAvailable).HasDefaultValue(true);
            entity.Property(e => e.IsTargetingEmailEnabled).HasDefaultValue(true);
        });

        modelBuilder.Entity<BudgetConfigDefaultSetting>(entity =>
        {
            entity.HasKey(e => e.SettingId).HasName("PK__BudgetCo__54372AFD9588A33A");

            entity.Property(e => e.SettingId).ValueGeneratedNever();
            entity.Property(e => e.DateCreated).HasDefaultValueSql("(getdate())");
            entity.Property(e => e.DefaultValue).HasDefaultValue(true);
            entity.Property(e => e.Description).HasDefaultValue("");
            entity.Property(e => e.Name).HasDefaultValue("");
        });

        modelBuilder.Entity<BudgetConfigSetting>(entity =>
        {
            entity.HasOne(d => d.Setting).WithMany()
                .OnDelete(DeleteBehavior.ClientSetNull)
                .HasConstraintName("FK__BudgetCon__Setti__3CD3D5C5");
        });

        modelBuilder.Entity<BudgetRefreshRequest>(entity =>
        {
            entity.HasKey(e => e.RequestGuid).HasName("PK__BudgetRe__2F8FD1AD6F774206");

            entity.Property(e => e.RequestGuid).HasDefaultValueSql("(newid())");
            entity.Property(e => e.AffectedDepartments).HasDefaultValue("");
            entity.Property(e => e.CurrentDataRefreshMethod).HasDefaultValue("");
            entity.Property(e => e.DateEnded).HasDefaultValue(new DateTime(1900, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified));
            entity.Property(e => e.DateEndedUtc).HasDefaultValue(new DateTime(1900, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified));
            entity.Property(e => e.DateStarted).HasDefaultValue(new DateTime(1900, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified));
            entity.Property(e => e.DateStartedUtc).HasDefaultValue(new DateTime(1900, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified));
            entity.Property(e => e.DateTimeStamp).HasDefaultValueSql("(getdate())");
            entity.Property(e => e.DateTimeStampUtc).HasDefaultValueSql("(getutcdate())");
            entity.Property(e => e.EmailAddress).HasDefaultValue("");
            entity.Property(e => e.ErrorMessage).HasDefaultValue("");
            entity.Property(e => e.InitialSamplingJson).HasDefaultValue("");
            entity.Property(e => e.InitialSourceDimensionalityJson).HasDefaultValue("");
            entity.Property(e => e.SamplingJson).HasDefaultValue("");
            entity.Property(e => e.Source).HasDefaultValue("");
            entity.Property(e => e.SourceDimensionalityJson).HasDefaultValue("");
            entity.Property(e => e.StackTrace).HasDefaultValue("");
            entity.Property(e => e.UserName).HasDefaultValue("");
        });

        modelBuilder.Entity<BudgetRefreshRequestHistory>(entity =>
        {
            entity.Property(e => e.AffectedDepartments).HasDefaultValue("");
            entity.Property(e => e.CanceledBy).HasDefaultValue("");
            entity.Property(e => e.DateEndedUtc).HasDefaultValue(new DateTime(1900, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified));
            entity.Property(e => e.DateStartedUtc).HasDefaultValue(new DateTime(1900, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified));
            entity.Property(e => e.DateTimeStampUtc).HasDefaultValueSql("(getutcdate())");
            entity.Property(e => e.InitialSamplingJson).HasDefaultValue("");
            entity.Property(e => e.InitialSourceDimensionalityJson).HasDefaultValue("");
            entity.Property(e => e.JazzVersion).HasDefaultValue("");
            entity.Property(e => e.SamplingJson).HasDefaultValue("");
            entity.Property(e => e.Source).HasDefaultValue("");
        });

        modelBuilder.Entity<ChargeVolumeAddProviderAdjustment>(entity =>
        {
            entity.HasKey(e => e.RowId).HasName("PK__ChargeVo__FFEE74512DFAE56C");

            entity.Property(e => e.RowId).ValueGeneratedNever();
        });

        modelBuilder.Entity<ChargeVolumeSpread>(entity =>
        {
            entity.HasKey(e => new { e.BudgetConfigId, e.DepartmentId, e.ServiceLineId, e.ChargeCodeId, e.PatientClassId, e.AgeCohortId, e.MedicalSurgicalId }).HasName("PK__ChargeVo__C17B5AD86F7201B4");

            entity.Property(e => e.GlobalSpreadId).HasDefaultValue(1);
            entity.Property(e => e.SpreadPercentage01).HasDefaultValue(0m);
            entity.Property(e => e.SpreadPercentage02).HasDefaultValue(0m);
            entity.Property(e => e.SpreadPercentage03).HasDefaultValue(0m);
            entity.Property(e => e.SpreadPercentage04).HasDefaultValue(0m);
            entity.Property(e => e.SpreadPercentage05).HasDefaultValue(0m);
            entity.Property(e => e.SpreadPercentage06).HasDefaultValue(0m);
            entity.Property(e => e.SpreadPercentage07).HasDefaultValue(0m);
            entity.Property(e => e.SpreadPercentage08).HasDefaultValue(0m);
            entity.Property(e => e.SpreadPercentage09).HasDefaultValue(0m);
            entity.Property(e => e.SpreadPercentage10).HasDefaultValue(0m);
            entity.Property(e => e.SpreadPercentage11).HasDefaultValue(0m);
            entity.Property(e => e.SpreadPercentage12).HasDefaultValue(0m);
            entity.Property(e => e.TotalImportedValue).HasDefaultValue(0m);

            entity.HasOne(d => d.Department).WithMany(p => p.ChargeVolumeSpreads)
                .OnDelete(DeleteBehavior.ClientSetNull)
                .HasConstraintName("FK_FpChargeVolumeSpreads_Department");

            entity.HasOne(d => d.SpreadHistory).WithMany(p => p.ChargeVolumeSpreads)
                .OnDelete(DeleteBehavior.ClientSetNull)
                .HasConstraintName("FK_ChargeVolumeSpreads_History");
        });

        modelBuilder.Entity<DataRefreshTargetThreshold>(entity =>
        {
            entity.Property(e => e.ClassName).HasDefaultValue("");
        });

        modelBuilder.Entity<DepartmentChargeVolumeAdjustment>(entity =>
        {
            entity.HasKey(e => e.AdjustmentGuid).HasName("PK__Departme__7EE745958E5F2A5E");

            entity.Property(e => e.AdjustmentGuid).HasDefaultValueSql("(newid())");
            entity.Property(e => e.AdjustedProperty).HasDefaultValue("");
            entity.Property(e => e.AdjustmentFilterJson).HasDefaultValue("");
            entity.Property(e => e.AuthorFullName).HasDefaultValue("");
            entity.Property(e => e.Comment).HasDefaultValue("");
            entity.Property(e => e.DateCreatedUtc).HasDefaultValueSql("(getutcdate())");
            entity.Property(e => e.DimensionMemberJson).HasDefaultValue("");
            entity.Property(e => e.GroupingHierarchyJson).HasDefaultValue("");
            entity.Property(e => e.LastModifiedDateUtc).HasDefaultValueSql("(getutcdate())");

            entity.HasOne(d => d.BudgetConfig).WithMany(p => p.DepartmentChargeVolumeAdjustments)
                .OnDelete(DeleteBehavior.ClientSetNull)
                .HasConstraintName("FK__Departmen__Budge__49A9B822");
        });

        modelBuilder.Entity<DepartmentConfig>(entity =>
        {
            entity.HasKey(e => e.DepartmentConfigGuid).HasName("PK__Departme__1D24F47EE8255C75");

            entity.Property(e => e.DepartmentConfigGuid).HasDefaultValueSql("(newid())");
            entity.Property(e => e.UpdatedDate).HasDefaultValue(new DateTime(1900, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified));

            entity.HasOne(d => d.Department).WithMany(p => p.DepartmentConfigs)
                .OnDelete(DeleteBehavior.ClientSetNull)
                .HasConstraintName("FK__Departmen__Depar__2393C03C");

            entity.HasOne(d => d.EntityGroupConfig).WithMany(p => p.DepartmentConfigs)
                .OnDelete(DeleteBehavior.ClientSetNull)
                .HasConstraintName("FK__Departmen__Entit__3983015B");
        });

        modelBuilder.Entity<DimCategory>(entity =>
        {
            entity.Property(e => e.Category).HasDefaultValue("");
        });

        modelBuilder.Entity<DimDepartment>(entity =>
        {
            entity.HasKey(e => e.DepartmentId).HasName("PK__DimDepar__B2079BCDE1B9CD6D");

            entity.Property(e => e.DepartmentId).ValueGeneratedNever();
            entity.Property(e => e.AttributionType).HasDefaultValue("");
            entity.Property(e => e.CareSetting).HasDefaultValue("");
            entity.Property(e => e.CompAnDepartment).HasDefaultValue("");
            entity.Property(e => e.ConsolidatedCode).HasDefaultValue("");
            entity.Property(e => e.DepartmentCode).HasDefaultValue("");
            entity.Property(e => e.DepartmentCodeRaw).HasDefaultValue("");
            entity.Property(e => e.DepartmentRollup1).HasDefaultValue("");
            entity.Property(e => e.DepartmentRollup1Code).HasDefaultValue("");
            entity.Property(e => e.DepartmentRollup2).HasDefaultValue("");
            entity.Property(e => e.DepartmentRollup2Code).HasDefaultValue("");
            entity.Property(e => e.DepartmentRollup3).HasDefaultValue("");
            entity.Property(e => e.DepartmentRollup3Code).HasDefaultValue("");
            entity.Property(e => e.DepartmentRollup4).HasDefaultValue("");
            entity.Property(e => e.DepartmentRollup4Code).HasDefaultValue("");
            entity.Property(e => e.DepartmentRollup5).HasDefaultValue("");
            entity.Property(e => e.DepartmentRollup5Code).HasDefaultValue("");
            entity.Property(e => e.DepartmentRollup6).HasDefaultValue("");
            entity.Property(e => e.DepartmentRollup6Code).HasDefaultValue("");
            entity.Property(e => e.DepartmentType).HasDefaultValue("");
            entity.Property(e => e.DepartmentTypeOld).HasDefaultValue("Not Specified");
            entity.Property(e => e.Description).HasDefaultValue("");
            entity.Property(e => e.DssdepartmentRollup1Name).HasDefaultValue("");
            entity.Property(e => e.DssdepartmentRollup2Name).HasDefaultValue("");
            entity.Property(e => e.DssdepartmentRollup3Name).HasDefaultValue("");
            entity.Property(e => e.DssdepartmentRollup4Name).HasDefaultValue("");
            entity.Property(e => e.DssdepartmentRollup5Name).HasDefaultValue("");
            entity.Property(e => e.DssdepartmentRollup6Name).HasDefaultValue("");
            entity.Property(e => e.DssdepartmentRollup7Name).HasDefaultValue("");
            entity.Property(e => e.DssdeptGrouping).HasDefaultValue("");
            entity.Property(e => e.Entity).HasDefaultValue("");
            entity.Property(e => e.EntityCode).HasDefaultValue("");
            entity.Property(e => e.EntityTypeOverride).HasDefaultValue((short)-1);
            entity.Property(e => e.FunctionalArea).HasDefaultValue("");
            entity.Property(e => e.Fund).HasDefaultValue("");
            entity.Property(e => e.HomeDepartment).HasDefaultValue("");
            entity.Property(e => e.IsLrfp).HasDefaultValue(true);
            entity.Property(e => e.MemberGuid).HasDefaultValueSql("(newid())");
            entity.Property(e => e.Mrdirector).HasDefaultValue("");
            entity.Property(e => e.Mrmanager).HasDefaultValue("");
            entity.Property(e => e.MrvicePresident).HasDefaultValue("");
            entity.Property(e => e.ObglobalStatisticsPlan).HasDefaultValue("");
            entity.Property(e => e.ObreimbursementPlan).HasDefaultValue("");
            entity.Property(e => e.ObserviceLinePlan).HasDefaultValue("");
            entity.Property(e => e.PatientTypeRollupName).HasDefaultValue("");
            entity.Property(e => e.ProductivityPercentile).HasDefaultValue("");
            entity.Property(e => e.Program).HasDefaultValue("");
            entity.Property(e => e.Project).HasDefaultValue("");
            entity.Property(e => e.ResearchDepartmentCategoryName).HasDefaultValue("");
            entity.Property(e => e.SpaccountRollupName).HasDefaultValue("");
            entity.Property(e => e.SpbalanceSheetPlanName).HasDefaultValue("");
            entity.Property(e => e.SphdepartmentName).HasDefaultValue("");
            entity.Property(e => e.SphdepartmentRollupName).HasDefaultValue("");
            entity.Property(e => e.SphdepartmentType).HasDefaultValue("");
            entity.Property(e => e.SpjobCodeGroupName).HasDefaultValue("");
            entity.Property(e => e.SpoperationsPlanName).HasDefaultValue("");
            entity.Property(e => e.SpphysicianGroupName).HasDefaultValue("");
            entity.Property(e => e.SprollingForecastPlanName).HasDefaultValue("");
            entity.Property(e => e.System).HasDefaultValue("");
            entity.Property(e => e.Version)
                .IsRowVersion()
                .IsConcurrencyToken();
        });

        modelBuilder.Entity<EngineLog>(entity =>
        {
            entity.HasKey(e => new { e.RequestGuid, e.AttemptId, e.StepId }).HasName("PK__EngineLo__613A431601789AAF");

            entity.Property(e => e.RequestGuid).HasDefaultValueSql("(newid())");
            entity.Property(e => e.AffectedDepartments).HasDefaultValue("");
            entity.Property(e => e.ClassName).HasDefaultValue("");
            entity.Property(e => e.DateEnded).HasDefaultValue(new DateTime(1900, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified));
            entity.Property(e => e.DateStarted).HasDefaultValue(new DateTime(1900, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified));
            entity.Property(e => e.ErrorMessage).HasDefaultValue("");
            entity.Property(e => e.OptionsJson).HasDefaultValue("");
            entity.Property(e => e.SourceDimensionalityJson).HasDefaultValue("");
            entity.Property(e => e.StackTrace).HasDefaultValue("");
            entity.Property(e => e.StepName).HasDefaultValue("");
        });

        modelBuilder.Entity<EntityGroupConfig>(entity =>
        {
            entity.HasKey(e => e.EntityGroupConfigGuid).HasName("PK__EntityGr__1D36B145FC4497F8");

            entity.Property(e => e.EntityGroupConfigGuid).HasDefaultValueSql("(newid())");
            entity.Property(e => e.AccountLastSampled).HasDefaultValue(new DateTime(2000, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified));
            entity.Property(e => e.BenefitsLastSampled).HasDefaultValue(new DateTime(2000, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified));
            entity.Property(e => e.Comments).HasDefaultValue("");
            entity.Property(e => e.DateModified).HasDefaultValueSql("(getdate())");
            entity.Property(e => e.DatePublished).HasDefaultValueSql("(getdate())");
            entity.Property(e => e.DepartmentChargeVolumeLastSampled).HasDefaultValue(new DateTime(2000, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified));
            entity.Property(e => e.Name).HasDefaultValue("");
            entity.Property(e => e.PayrollLastSampled).HasDefaultValue(new DateTime(2000, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified));
            entity.Property(e => e.RevenueAndDeductionsLastSampled).HasDefaultValue(new DateTime(2000, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified));
            entity.Property(e => e.ServiceLineEncounterLastSampled).HasDefaultValue(new DateTime(2000, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified));
            entity.Property(e => e.StatisticsLastSampled).HasDefaultValue(new DateTime(2000, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified));
        });

        modelBuilder.Entity<FixChangeHistoryRequest>(entity =>
        {
            entity.HasKey(e => e.RequestGuid).HasName("PK__FixChang__2F8FD1AD343212A7");

            entity.Property(e => e.RequestGuid).HasDefaultValueSql("(newid())");
            entity.Property(e => e.DateCreatedUtc).HasDefaultValueSql("(getdate())");
        });

        modelBuilder.Entity<GeneralLedger>(entity =>
        {
            entity.HasKey(e => e.GeneralLedgerId).HasName("PK__GeneralL__9520696BDEB4E430");

            entity.Property(e => e.GeneralLedgerId).ValueGeneratedNever();
            entity.Property(e => e.AddDate).HasDefaultValue(new DateTime(1900, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified));
            entity.Property(e => e.BudgetPercentAdjustmentFactor01).HasDefaultValue(1m);
            entity.Property(e => e.BudgetPercentAdjustmentFactor02).HasDefaultValue(1m);
            entity.Property(e => e.BudgetPercentAdjustmentFactor03).HasDefaultValue(1m);
            entity.Property(e => e.BudgetPercentAdjustmentFactor04).HasDefaultValue(1m);
            entity.Property(e => e.BudgetPercentAdjustmentFactor05).HasDefaultValue(1m);
            entity.Property(e => e.BudgetPercentAdjustmentFactor06).HasDefaultValue(1m);
            entity.Property(e => e.BudgetPercentAdjustmentFactor07).HasDefaultValue(1m);
            entity.Property(e => e.BudgetPercentAdjustmentFactor08).HasDefaultValue(1m);
            entity.Property(e => e.BudgetPercentAdjustmentFactor09).HasDefaultValue(1m);
            entity.Property(e => e.BudgetPercentAdjustmentFactor10).HasDefaultValue(1m);
            entity.Property(e => e.BudgetPercentAdjustmentFactor11).HasDefaultValue(1m);
            entity.Property(e => e.BudgetPercentAdjustmentFactor12).HasDefaultValue(1m);
            entity.Property(e => e.ProjectionPercentAdjustmentFactor01).HasDefaultValue(1m);
            entity.Property(e => e.ProjectionPercentAdjustmentFactor02).HasDefaultValue(1m);
            entity.Property(e => e.ProjectionPercentAdjustmentFactor03).HasDefaultValue(1m);
            entity.Property(e => e.ProjectionPercentAdjustmentFactor04).HasDefaultValue(1m);
            entity.Property(e => e.ProjectionPercentAdjustmentFactor05).HasDefaultValue(1m);
            entity.Property(e => e.ProjectionPercentAdjustmentFactor06).HasDefaultValue(1m);
            entity.Property(e => e.ProjectionPercentAdjustmentFactor07).HasDefaultValue(1m);
            entity.Property(e => e.ProjectionPercentAdjustmentFactor08).HasDefaultValue(1m);
            entity.Property(e => e.ProjectionPercentAdjustmentFactor09).HasDefaultValue(1m);
            entity.Property(e => e.ProjectionPercentAdjustmentFactor10).HasDefaultValue(1m);
            entity.Property(e => e.ProjectionPercentAdjustmentFactor11).HasDefaultValue(1m);
            entity.Property(e => e.ProjectionPercentAdjustmentFactor12).HasDefaultValue(1m);
            entity.Property(e => e.TargetPercentAdjustmentFactor01).HasDefaultValue(1m);
            entity.Property(e => e.TargetPercentAdjustmentFactor02).HasDefaultValue(1m);
            entity.Property(e => e.TargetPercentAdjustmentFactor03).HasDefaultValue(1m);
            entity.Property(e => e.TargetPercentAdjustmentFactor04).HasDefaultValue(1m);
            entity.Property(e => e.TargetPercentAdjustmentFactor05).HasDefaultValue(1m);
            entity.Property(e => e.TargetPercentAdjustmentFactor06).HasDefaultValue(1m);
            entity.Property(e => e.TargetPercentAdjustmentFactor07).HasDefaultValue(1m);
            entity.Property(e => e.TargetPercentAdjustmentFactor08).HasDefaultValue(1m);
            entity.Property(e => e.TargetPercentAdjustmentFactor09).HasDefaultValue(1m);
            entity.Property(e => e.TargetPercentAdjustmentFactor10).HasDefaultValue(1m);
            entity.Property(e => e.TargetPercentAdjustmentFactor11).HasDefaultValue(1m);
            entity.Property(e => e.TargetPercentAdjustmentFactor12).HasDefaultValue(1m);

            entity.HasOne(d => d.Department).WithMany(p => p.GeneralLedgers)
                .OnDelete(DeleteBehavior.ClientSetNull)
                .HasConstraintName("FK_GeneralLedger_Department");
        });

        modelBuilder.Entity<GeneralLedgerInitialPlanConfigDetail>(entity =>
        {
            entity.HasKey(e => e.RowId).HasName("PK__GeneralL__FFEE7451BBA831F0");

            entity.Property(e => e.RowId).ValueGeneratedNever();

            entity.HasOne(d => d.BudgetConfig).WithMany(p => p.GeneralLedgerInitialPlanConfigDetails)
                .OnDelete(DeleteBehavior.ClientSetNull)
                .HasConstraintName("FK__GeneralLe__Budge__34EBC896");
        });

        modelBuilder.Entity<GeneralLedgerSpread>(entity =>
        {
            entity.HasKey(e => new { e.BudgetConfigId, e.DepartmentId, e.AccountId }).HasName("PK__GeneralL__F1B9F3954D99BE3F");

            entity.Property(e => e.GlobalSpreadId).HasDefaultValue(1);
            entity.Property(e => e.SpreadPercentage01).HasDefaultValue(0m);
            entity.Property(e => e.SpreadPercentage02).HasDefaultValue(0m);
            entity.Property(e => e.SpreadPercentage03).HasDefaultValue(0m);
            entity.Property(e => e.SpreadPercentage04).HasDefaultValue(0m);
            entity.Property(e => e.SpreadPercentage05).HasDefaultValue(0m);
            entity.Property(e => e.SpreadPercentage06).HasDefaultValue(0m);
            entity.Property(e => e.SpreadPercentage07).HasDefaultValue(0m);
            entity.Property(e => e.SpreadPercentage08).HasDefaultValue(0m);
            entity.Property(e => e.SpreadPercentage09).HasDefaultValue(0m);
            entity.Property(e => e.SpreadPercentage10).HasDefaultValue(0m);
            entity.Property(e => e.SpreadPercentage11).HasDefaultValue(0m);
            entity.Property(e => e.SpreadPercentage12).HasDefaultValue(0m);
            entity.Property(e => e.TotalImportedValue).HasDefaultValue(0m);

            entity.HasOne(d => d.SpreadHistory).WithMany(p => p.GeneralLedgerSpreads)
                .OnDelete(DeleteBehavior.ClientSetNull)
                .HasConstraintName("FK_FpGeneralLedgerSpreads_History");
        });

        modelBuilder.Entity<InitialPlanRule>(entity =>
        {
            entity.HasKey(e => e.RowId).HasName("PK__InitialP__FFEE745128948D89");

            entity.Property(e => e.RowId).ValueGeneratedNever();
            entity.Property(e => e.DimensionalityJson).HasDefaultValue("");
            entity.Property(e => e.VersionId).HasDefaultValue(0);

            entity.HasOne(d => d.BudgetConfig).WithMany(p => p.InitialPlanRules)
                .OnDelete(DeleteBehavior.ClientSetNull)
                .HasConstraintName("FK__InitialPl__Budge__269DA93F");
        });

        modelBuilder.Entity<Lock>(entity =>
        {
            entity.Property(e => e.DateLastActive).HasDefaultValueSql("(getdate())");
            entity.Property(e => e.DateLastActiveUtc).HasDefaultValueSql("(getutcdate())");
            entity.Property(e => e.DateLocked).HasDefaultValueSql("(getdate())");
            entity.Property(e => e.DateLockedUtc).HasDefaultValueSql("(getutcdate())");
            entity.Property(e => e.LockGroup).HasDefaultValue("");
            entity.Property(e => e.LockGuid).HasDefaultValueSql("(newid())");
            entity.Property(e => e.UserName).HasDefaultValue("");
        });

        modelBuilder.Entity<OnePlanPerformanceTestValidationResult>(entity =>
        {
            entity.Property(e => e.ColumnName).HasDefaultValue("");
            entity.Property(e => e.TableName).HasDefaultValue("");
        });

        modelBuilder.Entity<PerformanceTestingSetting>(entity =>
        {
            entity.HasKey(e => e.SystemSettingId).HasName("PK__Performa__0191E99DAC87483C");

            entity.Property(e => e.SystemSettingId).ValueGeneratedNever();
            entity.Property(e => e.DateCreated).HasDefaultValueSql("(getdate())");
            entity.Property(e => e.DefaultValue).HasDefaultValue("");
            entity.Property(e => e.Description).HasDefaultValue("");
            entity.Property(e => e.Name).HasDefaultValue("");
            entity.Property(e => e.Value).HasDefaultValue("");
        });

        modelBuilder.Entity<ProviderCompensationSpread>(entity =>
        {
            entity.HasKey(e => new { e.BudgetConfigId, e.ProviderId, e.ProviderLineItemId, e.DepartmentId, e.JobCodeId, e.PayCodeGroupId, e.UnitTypeId }).HasName("PK__Provider__7B156FC863658543");

            entity.Property(e => e.UnitTypeId).HasDefaultValue((byte)34);
            entity.Property(e => e.GlobalSpreadId).HasDefaultValue(1);
            entity.Property(e => e.SpreadPercentage01).HasDefaultValue(0m);
            entity.Property(e => e.SpreadPercentage02).HasDefaultValue(0m);
            entity.Property(e => e.SpreadPercentage03).HasDefaultValue(0m);
            entity.Property(e => e.SpreadPercentage04).HasDefaultValue(0m);
            entity.Property(e => e.SpreadPercentage05).HasDefaultValue(0m);
            entity.Property(e => e.SpreadPercentage06).HasDefaultValue(0m);
            entity.Property(e => e.SpreadPercentage07).HasDefaultValue(0m);
            entity.Property(e => e.SpreadPercentage08).HasDefaultValue(0m);
            entity.Property(e => e.SpreadPercentage09).HasDefaultValue(0m);
            entity.Property(e => e.SpreadPercentage10).HasDefaultValue(0m);
            entity.Property(e => e.SpreadPercentage11).HasDefaultValue(0m);
            entity.Property(e => e.SpreadPercentage12).HasDefaultValue(0m);
            entity.Property(e => e.TotalImportedValue).HasDefaultValue(0m);

            entity.HasOne(d => d.Department).WithMany(p => p.ProviderCompensationSpreads)
                .OnDelete(DeleteBehavior.ClientSetNull)
                .HasConstraintName("FK_FpProviderCompensationSpreads_Department");

            entity.HasOne(d => d.SpreadHistory).WithMany(p => p.ProviderCompensationSpreads)
                .OnDelete(DeleteBehavior.ClientSetNull)
                .HasConstraintName("FK_ProviderCompensationSpreads_History");
        });

        modelBuilder.Entity<SamplingLog>(entity =>
        {
            entity.Property(e => e.DateEndedUtc).HasDefaultValue(new DateTime(1900, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified));
            entity.Property(e => e.DateStartedUtc).HasDefaultValue(new DateTime(1900, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified));
            entity.Property(e => e.JazzVersion).HasDefaultValue("");
            entity.Property(e => e.SourceDimensionalityJson).HasDefaultValue("");
        });

        modelBuilder.Entity<ScheduledRefreshRequest>(entity =>
        {
            entity.HasKey(e => e.RequestGuid).HasName("PK__Schedule__2F8FD1AD3D1EE6FD");

            entity.Property(e => e.RequestGuid).HasDefaultValueSql("(newid())");
            entity.Property(e => e.SamplingJson).HasDefaultValue("");
            entity.Property(e => e.SourceDimensionalityJson).HasDefaultValue("");
        });

        modelBuilder.Entity<ServiceLineEncounterSpread>(entity =>
        {
            entity.HasKey(e => new { e.BudgetConfigId, e.EntityId, e.ServiceLineId, e.PatientClassId }).HasName("PK__ServiceL__BC32EA931931BBFB");

            entity.Property(e => e.GlobalSpreadId).HasDefaultValue(1);
            entity.Property(e => e.SpreadPercentage01).HasDefaultValue(0m);
            entity.Property(e => e.SpreadPercentage02).HasDefaultValue(0m);
            entity.Property(e => e.SpreadPercentage03).HasDefaultValue(0m);
            entity.Property(e => e.SpreadPercentage04).HasDefaultValue(0m);
            entity.Property(e => e.SpreadPercentage05).HasDefaultValue(0m);
            entity.Property(e => e.SpreadPercentage06).HasDefaultValue(0m);
            entity.Property(e => e.SpreadPercentage07).HasDefaultValue(0m);
            entity.Property(e => e.SpreadPercentage08).HasDefaultValue(0m);
            entity.Property(e => e.SpreadPercentage09).HasDefaultValue(0m);
            entity.Property(e => e.SpreadPercentage10).HasDefaultValue(0m);
            entity.Property(e => e.SpreadPercentage11).HasDefaultValue(0m);
            entity.Property(e => e.SpreadPercentage12).HasDefaultValue(0m);
            entity.Property(e => e.TotalImportedValue).HasDefaultValue(0m);

            entity.HasOne(d => d.SpreadHistory).WithMany(p => p.ServiceLineEncounterSpreads)
                .OnDelete(DeleteBehavior.ClientSetNull)
                .HasConstraintName("FK_ServiceLineEncounterSpreads_History");
        });

        modelBuilder.Entity<SpreadHistory>(entity =>
        {
            entity.HasKey(e => e.SpreadHistoryGuid).HasName("PK__SpreadHi__3D43A8E02794F612");

            entity.Property(e => e.AuthorFullName).HasDefaultValue("");
            entity.Property(e => e.Date).HasDefaultValueSql("(getdate())");
        });

        modelBuilder.Entity<StaffingInitialPlanConfigDetail>(entity =>
        {
            entity.HasKey(e => e.RowId).HasName("PK__Staffing__FFEE7451B817743E");

            entity.Property(e => e.RowId).ValueGeneratedNever();

            entity.HasOne(d => d.BudgetConfig).WithMany(p => p.StaffingInitialPlanConfigDetails)
                .OnDelete(DeleteBehavior.ClientSetNull)
                .HasConstraintName("FK__StaffingI__Budge__77ADB02C");
        });

        modelBuilder.Entity<StaffingSpread>(entity =>
        {
            entity.HasKey(e => new { e.BudgetConfigId, e.DepartmentId, e.JobCodeId, e.PayCodeGroupId }).HasName("PK__Staffing__6D5B21DD532F427F");

            entity.Property(e => e.GlobalSpreadId).HasDefaultValue(1);
            entity.Property(e => e.SpreadPercentage01).HasDefaultValue(0m);
            entity.Property(e => e.SpreadPercentage02).HasDefaultValue(0m);
            entity.Property(e => e.SpreadPercentage03).HasDefaultValue(0m);
            entity.Property(e => e.SpreadPercentage04).HasDefaultValue(0m);
            entity.Property(e => e.SpreadPercentage05).HasDefaultValue(0m);
            entity.Property(e => e.SpreadPercentage06).HasDefaultValue(0m);
            entity.Property(e => e.SpreadPercentage07).HasDefaultValue(0m);
            entity.Property(e => e.SpreadPercentage08).HasDefaultValue(0m);
            entity.Property(e => e.SpreadPercentage09).HasDefaultValue(0m);
            entity.Property(e => e.SpreadPercentage10).HasDefaultValue(0m);
            entity.Property(e => e.SpreadPercentage11).HasDefaultValue(0m);
            entity.Property(e => e.SpreadPercentage12).HasDefaultValue(0m);
            entity.Property(e => e.TotalImportedValue).HasDefaultValue(0m);

            entity.HasOne(d => d.Department).WithMany(p => p.StaffingSpreads)
                .OnDelete(DeleteBehavior.ClientSetNull)
                .HasConstraintName("FK_FpStaffingSpreads_Department");

            entity.HasOne(d => d.SpreadHistory).WithMany(p => p.StaffingSpreads)
                .OnDelete(DeleteBehavior.ClientSetNull)
                .HasConstraintName("FK_StaffingSpreads_History");
        });

        modelBuilder.Entity<StatisticsSpread>(entity =>
        {
            entity.HasKey(e => new { e.BudgetConfigId, e.DepartmentId, e.AccountId, e.ProviderId, e.ProviderLineItemId }).HasName("PK__Statisti__9854220EA98934E2");

            entity.Property(e => e.GlobalSpreadId).HasDefaultValue(1);
            entity.Property(e => e.SpreadPercentage01).HasDefaultValue(0m);
            entity.Property(e => e.SpreadPercentage02).HasDefaultValue(0m);
            entity.Property(e => e.SpreadPercentage03).HasDefaultValue(0m);
            entity.Property(e => e.SpreadPercentage04).HasDefaultValue(0m);
            entity.Property(e => e.SpreadPercentage05).HasDefaultValue(0m);
            entity.Property(e => e.SpreadPercentage06).HasDefaultValue(0m);
            entity.Property(e => e.SpreadPercentage07).HasDefaultValue(0m);
            entity.Property(e => e.SpreadPercentage08).HasDefaultValue(0m);
            entity.Property(e => e.SpreadPercentage09).HasDefaultValue(0m);
            entity.Property(e => e.SpreadPercentage10).HasDefaultValue(0m);
            entity.Property(e => e.SpreadPercentage11).HasDefaultValue(0m);
            entity.Property(e => e.SpreadPercentage12).HasDefaultValue(0m);
            entity.Property(e => e.TotalImportedValue).HasDefaultValue(0m);

            entity.HasOne(d => d.Department).WithMany(p => p.StatisticsSpreads)
                .OnDelete(DeleteBehavior.ClientSetNull)
                .HasConstraintName("FK_FpStatisticsSpreads_Department");

            entity.HasOne(d => d.SpreadHistory).WithMany(p => p.StatisticsSpreads)
                .OnDelete(DeleteBehavior.ClientSetNull)
                .HasConstraintName("FK_StatisticsSpreads_History");
        });

        modelBuilder.Entity<SystemSetting>(entity =>
        {
            entity.HasKey(e => e.SystemSettingId).HasName("PK__SystemSe__0191E99D578204DD");

            entity.Property(e => e.SystemSettingId).ValueGeneratedNever();
            entity.Property(e => e.DateCreated).HasDefaultValueSql("(getdate())");
            entity.Property(e => e.DefaultValue).HasDefaultValue("");
            entity.Property(e => e.Description).HasDefaultValue("");
            entity.Property(e => e.Name).HasDefaultValue("");
            entity.Property(e => e.Value).HasDefaultValue("");
        });

        modelBuilder.Entity<TescheduledTask>(entity =>
        {
            entity.HasKey(e => e.ScheduledTaskGuid).HasName("PK__TESchedu__F13F6EC0946D3031");

            entity.Property(e => e.ScheduledTaskGuid).HasDefaultValueSql("(newid())");
            entity.Property(e => e.AssemblyQualifiedName).HasDefaultValue("");
            entity.Property(e => e.DateCreatedUtc).HasDefaultValueSql("(getutcdate())");
            entity.Property(e => e.Description).HasDefaultValue("");
            entity.Property(e => e.DisabledExpirationDate).HasDefaultValue(new DateTime(1900, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified));
            entity.Property(e => e.EndDate).HasDefaultValue(new DateTime(1900, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified));
            entity.Property(e => e.HasEndDate).HasDefaultValue(true);
            entity.Property(e => e.LastRunDateUtc).HasDefaultValueSql("(getutcdate())");
            entity.Property(e => e.LastSubmittedDateUtc).HasDefaultValueSql("(getutcdate())");
            entity.Property(e => e.Name).HasDefaultValue("");
            entity.Property(e => e.SetupXml).HasDefaultValue("");
            entity.Property(e => e.StartDate).HasDefaultValue(new DateTime(1900, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified));
            entity.Property(e => e.TimeZoneId).HasDefaultValue("Central Standard Time");
        });

        modelBuilder.Entity<UserProfile>(entity =>
        {
            entity.HasKey(e => e.UserGuid).HasName("PK__UserProf__81B7740C1EECCB67");

            entity.Property(e => e.UserGuid).HasDefaultValueSql("(newid())");
            entity.Property(e => e.AuthId).HasDefaultValue("");
            entity.Property(e => e.BackupPassword).HasDefaultValue("");
            entity.Property(e => e.BrowserVersion).HasDefaultValue("Unknown");
            entity.Property(e => e.Custom1).HasDefaultValue("");
            entity.Property(e => e.Custom2).HasDefaultValue("");
            entity.Property(e => e.Custom3).HasDefaultValue("");
            entity.Property(e => e.Custom4).HasDefaultValue("");
            entity.Property(e => e.DefaultAppModeLevel).HasDefaultValue((byte)1);
            entity.Property(e => e.Domain).HasDefaultValue("");
            entity.Property(e => e.DotNetVersion).HasDefaultValue("");
            entity.Property(e => e.EmailAddress).HasDefaultValue("");
            entity.Property(e => e.HashedPassword).HasDefaultValue("");
            entity.Property(e => e.LastChangedPasswordUtc).HasDefaultValueSql("(getutcdate())");
            entity.Property(e => e.LastLoginDateUtc).HasDefaultValueSql("(getutcdate())");
            entity.Property(e => e.NameFirst).HasDefaultValue("");
            entity.Property(e => e.NameLast).HasDefaultValue("");
            entity.Property(e => e.PhoneNumber).HasDefaultValue("");
            entity.Property(e => e.Salt).HasDefaultValueSql("(newid())");
            entity.Property(e => e.UserAgent).HasDefaultValue("Unknown");
            entity.Property(e => e.UserName).HasDefaultValue("");
        });

        modelBuilder.Entity<ViewReimbursementAdjustment>(entity =>
        {
            entity.ToView("viewReimbursementAdjustment", "fp");
        });

        modelBuilder.Entity<ViewStaffingAdjustment>(entity =>
        {
            entity.ToView("viewStaffingAdjustment", "fp");
        });

        modelBuilder.Entity<ViewStatisticsAdjustment>(entity =>
        {
            entity.ToView("viewStatisticsAdjustment", "fp");
        });

        OnModelCreatingPartial(modelBuilder);
    }

    partial void OnModelCreatingPartial(ModelBuilder modelBuilder);
}
